# GraphQL

Below is an example of querying Bloqs field data using GraphQL.&#x20;

```graphql
query GetBloqsEntry {
  exp_channel_entries(entry_id: "123", limit: 1) {
    data {
      entry_id
      title
      url_title

      bloqs {
        ... on Bloqs__bloqs__basic_content {
          _id
          _block_name
          _depth
          _order
          _parent_id
          heading
          content
          note
        }
        
        ... on Bloqs__bloqs__ansel_test {
          _id
          _block_name
          _depth
          ansel {
            id
            url
            thumbnail_url
            title
            width
            height
          }
        }

        ... on Bloqs__bloqs__media {
          _id
          _block_name
          _depth
        }

        ... on Bloqs__bloqs__related_content {
          _id
          _block_name
          related_entries {
            entry_id
            title
            url_title
          }
        }

        ... on Bloqs__bloqs__section {
          _id
          _block_name
          _depth
        }

        ... on Bloqs__bloqs__video {
          _id
          _block_name
          reel
        }

        ... on Bloqs__bloqs__single_relationship {
          _id
          _block_name
          related {
            entry_id
            title
          }
        }
      }
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boldminded.com/bloqs/docs/template-tags/graphql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
